Name:           big-metro
Version:        1.4.0
Release:        1%{?dist}
Summary:        Enjoyable real-time metro building game.

Group:          Applications/Games
License:        Public Domain
URL:            https://app.zdechov.net/BigMetro
Source0:        big-metro.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  lazarus

%description
Enjoyable real-time metro building game.

Features:
* Supported 9 metro lines with different colors
* Supported 12 metro stations shapes
* Each week a player gets new train
* Passengers with specific shape travel to the station with same shape
* Tracks can be re-positioned and extended on both ends
* New random stations appear continuously
* Dark mode
* Full screen mode
* Multi-language support (English, Czech, French, German).
* Career support with playable cities
* Selectable weekly new improvements: line, carriage or termina

%global debug_package %{nil}

%prep
%setup -q -c $(RPM_NAME)-$(RPM_VERSION)


%build
lazbuild --build-mode=Release BigMetro.lpi

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -s -m 755 BigMetro $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/share/BigMetro/languages
cp -r Languages/*.po $RPM_BUILD_ROOT/usr/share/BigMetro/languages
install -d -m 755 $RPM_BUILD_ROOT/usr/share/applications
install -m 644 Install/deb/BigMetro.desktop $RPM_BUILD_ROOT/usr/share/applications
install -d -m 755 $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 Images/64x64/BigMetro.png $RPM_BUILD_ROOT/usr/share/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/usr/bin/BigMetro
/usr/share/applications/BigMetro.desktop
/usr/share/BigMetro/*
/usr/share/pixmaps/BigMetro.png

%changelog
