unit UColors;

interface

uses
  Classes, SysUtils, Graphics;

type

  { TColors }

  TColors = record
    Background: TColor;
    Background2: TColor;
    Text: TColor;
    ShapeBackground: TColor;
    MenuItemText: TColor;
    MenuItemDisabledText: TColor;
    MenuItemBackground: TColor;
    MenuItemBackgroundSelected: TColor;
    procedure Init(DarkMode: Boolean);
  end;


implementation

{ TColors }

procedure TColors.Init(DarkMode: Boolean);
begin
  if DarkMode then begin
    Background := $2f3020;
    Background2 := $4f5040;
    Text := clWhite;
    ShapeBackground := clBlack;
    MenuItemText := $cccccc;
    MenuItemDisabledText := $888888;
    MenuItemBackground := $b75C01;
    MenuItemBackgroundSelected := $070C81;
  end else begin
    Background := $eff0e0;
    Background2 := $cfd0c0;
    Text := clBlack;
    ShapeBackground := clWhite;
    MenuItemText := clWhite;
    MenuItemDisabledText := clSilver;
    MenuItemBackground := $e78C31;
    MenuItemBackgroundSelected := $f7bC61;
  end;
end;

end.

